###################################################
### chunk number 1: 
###################################################
#line 49 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# Make width of chunks 60.
options(width=80)
if(!file.exists("qtlbimPDF")) {
  dir.create("qtlbimPDF")
  warning(paste("Creating Sweave directory qtlbim"),
    call. = FALSE, immediate. = TRUE)
}


###################################################
### chunk number 2: LoadQtlBim
###################################################
#line 91 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
library(qtlbim)


###################################################
### chunk number 3: LoadQtlBim
###################################################
#line 114 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
data(qbHyper)
hyper <- qb.cross(qbHyper)


###################################################
### chunk number 4: SummaryQbMCMC
###################################################
#line 268 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
summary(qbHyper)


###################################################
### chunk number 5: Scanone-HyperLPD
###################################################
#line 382 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
temp <- qb.scanone(qbHyper,type="LPD") 
# If the pdf file hasn't already been created, then draw the plot.
if(!file.exists("qtlbimPDF/FIG-Scanone-HyperLPD.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-Scanone-HyperLPD.pdf", height = 4)
   plot(temp)
   dev.off()
   }


###################################################
### chunk number 6: Scanone-HyperLPD
###################################################
#line 424 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
summary(temp)


###################################################
### chunk number 7: Scanone-HyperBF
###################################################
#line 440 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
temp <- qb.scanone(qbHyper,type="2logBF")


###################################################
### chunk number 8: Scanone-HyperSubset
###################################################
#line 448 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# If the pdf file hasn't already been created, then draw the plot.
if(!file.exists("qtlbimPDF/FIG-Scanone-HyperSubset.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-Scanone-HyperSubset.pdf", height = 4)
   plot(temp,chr=c(1,4,6,15))
   dev.off()
   }


###################################################
### chunk number 9: ScantwoSum-HyperData
###################################################
#line 475 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
temp <- qb.scantwo(qbHyper, chr = c(4,6,15))
summary(temp, digits = 2)


###################################################
### chunk number 10: Scantwo-HyperData
###################################################
#line 484 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# If the pdf file hasn't already been created, then draw the plot.
if(!file.exists("qtlbimPDF/FIG-Scantwo-HyperData.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-Scantwo-HyperData.pdf")
   plot(temp)
   dev.off()
   }


###################################################
### chunk number 11: qb.bf
###################################################
#line 597 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
bf <- qb.bf(qbHyper, item = "pattern")
summary(bf)


###################################################
### chunk number 12: 
###################################################
#line 601 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
bf.pat <- summary(bf)$pattern
post.pat <- row.names(bf.pat)[which.max(bf.pat$posterior)]
bf.pat <- row.names(bf.pat)[which.max(bf.pat$bf)]


###################################################
### chunk number 13: qb.best
###################################################
#line 622 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
best <- qb.best(qbHyper)
summary(best)


###################################################
### chunk number 14: bestplot
###################################################
#line 638 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
file <- paste("qtlbimPDF", "/bestmds.pdf", sep = "")
pdf(file = file, paper = "special", width = 9, height = 6)
plot(best)
invisible(dev.off())
cat("\\includegraphics{", file, "}\n\n", sep = "")


###################################################
### chunk number 15: besthcplot
###################################################
#line 677 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
file <- paste("qtlbimPDF", "/besthc.pdf", sep = "")
pdf(file = file, paper = "special", width = 9, height = 6)
plot(best, type = "hclust")
invisible(dev.off())
cat("\\includegraphics{", file, "}\n\n", sep = "")


###################################################
### chunk number 16: average
###################################################
#line 705 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
qb.best(qbHyper, include = "all")$model[[1]]
qb.best(qbHyper, include = "nested")$model[[1]]
qb.best(qbHyper, include = "exact")$model[[1]]


###################################################
### chunk number 17: target
###################################################
#line 720 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
target <- best$model[[1]]


###################################################
### chunk number 18: qb.close
###################################################
#line 728 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
close <- qb.close(qbHyper, target)
summary(close)


###################################################
### chunk number 19: closeplot
###################################################
#line 741 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
file <- paste("qtlbimPDF", "/closepat.pdf", sep = "")
pdf(file = file, paper = "special", width = 9, height = 6)
plot(close)
invisible(dev.off())
cat("\\includegraphics{", file, "}\n\n", sep = "")


###################################################
### chunk number 20: closenqtlplot
###################################################
#line 764 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
file <- paste("qtlbimPDF", "/closenqtl.pdf", sep = "")
pdf(file = file, paper = "special", width = 9, height = 6)
plot(close, category = "nqtl")
invisible(dev.off())
cat("\\includegraphics{", file, "}\n\n", sep = "")


###################################################
### chunk number 21: Cross.Arch
###################################################
#line 786 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
hyper.arch <- qb.arch(best)
hyper.arch


###################################################
### chunk number 22: InitializeFitQTL
###################################################
#line 791 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
hyper.sub <- subset(hyper, chr = hyper.arch$qtl$chr)
n.draws <- 8
hyper.sub <- sim.geno(hyper.sub, n.draws=n.draws, step=2, error=0.01)
qtl <- makeqtl(hyper.sub, as.character(hyper.arch$qtl$chr), hyper.arch$qtl$pos)


###################################################
### chunk number 23: StepwiseFitQTL
###################################################
#line 802 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
hyper.step <- step.fitqtl(hyper.sub, qtl, pheno.col = 1, hyper.arch)


###################################################
### chunk number 24: SummaryFitQTL
###################################################
#line 814 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
sum.fit <- summary(hyper.step$fit)
print(sum.fit$result.full, quote = FALSE, na.print = "")


###################################################
### chunk number 25: 
###################################################
#line 818 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
if(!is.null(sum.fit$result.drop)) {
  cat("\\begin{Schunk}\n")
  cat("\\begin{Soutput}\n")
  cat("\nDrop one QTL at a time ANOVA table:\n")
  cat("----------------------------------\n")
  printCoefmat(sum.fit$result.drop[,-6], digits = 4, cs.ind = 1, P.values = TRUE, 
               has.Pvalue = TRUE, signif.legend = FALSE)
  cat("\\end{Soutput}\n\n")
  cat("\\end{Schunk}\n")
}


###################################################
### chunk number 26: qb.multloci
###################################################
#line 854 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
mult <- qb.multloci(qbHyper, chr = 1)


###################################################
### chunk number 27: multplot
###################################################
#line 862 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
file <- paste("qtlbimPDF", "/mult.pdf", sep = "")
pdf(file = file, paper = "special", width = 9, height = 9)
plot(mult)
invisible(dev.off())
cat("\\includegraphics{", file, "}\n\n", sep = "")


###################################################
### chunk number 28: 
###################################################
#line 869 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
summary(mult)


###################################################
### chunk number 29: unmerge
###################################################
#line 877 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
summary(mult, merge = FALSE)


###################################################
### chunk number 30: multmergeplot
###################################################
#line 886 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
file <- paste("qtlbimPDF", "/multmerge.pdf", sep = "")
pdf(file = file, paper = "special", width = 9, height = 9)
plot(mult, merge = FALSE)
invisible(dev.off())
cat("\\includegraphics{", file, "}\n\n", sep = "")


###################################################
### chunk number 31: qb.split
###################################################
#line 906 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
qbHyper <- qb.split.chr(qbHyper)
qb.get(qbHyper, "split.chr")


###################################################
### chunk number 32: bf.split
###################################################
#line 917 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
qb.bf(qbHyper, item = "pattern") 


###################################################
### chunk number 33: bf.split
###################################################
#line 921 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
qb.best(qbHyper)


###################################################
### chunk number 34: bf.split
###################################################
#line 925 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
one <- qb.scanone(qbHyper, type = "LPD") 
summary(one)


###################################################
### chunk number 35: oneplot
###################################################
#line 935 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
file <- paste("qtlbimPDF", "/one.pdf", sep = "")
pdf(file = file, paper = "special", width = 9, height = 9)
plot(one, chr = 1)
invisible(dev.off())
cat("\\includegraphics{", file, "}\n\n", sep = "")


###################################################
### chunk number 36: PlotQbCoda
###################################################
#line 987 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# If the pdf file hasn't already been created, then draw the plot.
if(!file.exists("qtlbimPDF/FIG-QBCODA.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-QBCODA.pdf")
   plot(qb.coda(qbHyper, variables = c("nqtl","envvar")))
   dev.off()
   }


###################################################
### chunk number 37: PlotQbLoci34
###################################################
#line 1030 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# If the file hasn't already been created, then draw the plot.
if(!file.exists("qtlbimPDF/FIG-QBLOCI34.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-QBLOCI34.pdf")
   plot(qb.loci(subset(qbHyper, chr=c(3,4))), labels=TRUE)
   dev.off()
   }


###################################################
### chunk number 38: PlotQbBF
###################################################
#line 1075 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# If the file hasn't already been created, then draw the plot.
if(!file.exists("plotQBBF.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-QBBF.pdf")
   plot(qb.BayesFactor(qbHyper,cutoff.pattern=0.5))
   dev.off()
   }


###################################################
### chunk number 39: PlotQbHPD
###################################################
#line 1114 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# If the file hasn't already been created, then draw the plot.
if(!file.exists("plotQBHPD.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-QBHPD.pdf")
   plot(qb.hpdone(qbHyper))
   dev.off()
   }


###################################################
### chunk number 40: PlotQbEpi
###################################################
#line 1140 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# If the file hasn't already been created, then draw the plot.
if(!file.exists("qtlbimPDF/FIG-QBEPI.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-QBEPI.pdf")
   plot(qb.epistasis(qbHyper))
   dev.off()
   }


###################################################
### chunk number 41: PlotQbDiag
###################################################
#line 1165 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
# If the file hasn't already been created, then draw the plot.
if(!file.exists("plotQBDIAG.pdf"))
   { 
   par(ask=FALSE)
   pdf(file="qtlbimPDF/FIG-QBDIAG.pdf")
   plot(qb.diag(qbHyper))
   dev.off()
   }


###################################################
### chunk number 42: SimData
###################################################
#line 1206 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
cross <- qb.sim.cross(len=rep(100,20), n.mar=11, eq.spacing=F, n.ind=100, type="f2", 
                 ordinal=c(0.3,0.3,0.2,0.2), missing.geno=0.03, missing.pheno=0.07,
                 qtl.pos=rbind(c(1,15),c(1,45),c(3,12),c(5,15),c(7,15),c(10,15),c(12,35),c(19,15)),
                 qtl.main=rbind(c(1,0.5,0),c(2,0,0.7),c(3,-0.5,0),c(4,0.5,-0.5)),
                 qtl.epis=rbind(c(4,5,-0.7,0,0,0),c(6,8,0,1.2,0,0)),
                 covariate=c(0.5,0.07), gbye=rbind(c(7,0.8,0))) 



###################################################
### chunk number 43: 
###################################################
#line 1221 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"

names(cross)



###################################################
### chunk number 44: 
###################################################
#line 1232 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"

summary(cross$qtl)



###################################################
### chunk number 45: 
###################################################
#line 1240 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
summary(cross)


###################################################
### chunk number 46: 
###################################################
#line 1393 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
summary(qb.scanone(qbHyper,type="variance",scan="env"))


###################################################
### chunk number 47: 
###################################################
#line 1404 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
summary(qb.scanone(qbHyper,type="heritability"))


###################################################
### chunk number 48: 
###################################################
#line 1460 "d:/Rcompile/CRANpkg/local/2.12/qtlbim/inst/doc/qtlbim.Rnw"
summary(qb.scanone(qbHyper,type="2logBF"))


